/*
 * Generic throught the Application
 *
 *= require_tree .
 *= require_self
 */
body {
    background-image: url('/images/bg.jpg');
    background-repeat: no-repeat; background-position: top; background-attachment: fixed;
    background-size: 100%;
    color: #24244F;
}

body {
    background-image: url('/images/bg.jpg'), url('/images/bg-bottom.jpg');
    background-repeat: no-repeat, repeat-y;
    background-position: top, bottom;
    background-attachment: fixed;
    background-size: 100%;
    color: #24244F;
}

a { color: #5a64f1; font-weight: bold; text-decoration: none; }

.symbol { font-family: monospace; }

/*
 * Navigation
 *
 * */
ul#smr_menu {
    color: white;
    position: absolute; top:0; right:0; min-width: 8em;
    margin: 0;
    padding-top: 10px; padding-bottom: 10px; padding-right: 15px;
    background-color: #A8914C; opacity: 0.9;
    border-bottom-left-radius: 30px;
    font-size: smaller; z-index: 100;
}
ul#smr_menu a { color: white; white-space: nowrap; }
ul#smr_menu a:hover { color: lightgray;}


div#date_nav { position: absolute; top: 2em; left: 8px;
    height: 2em; min-width: 10em; margin-bottom: 3em; }
div#date_nav form { display: inline; }
div#date_nav button,
div#date_nav input { position: relative; top: 0px; bottom: 0px;
    height: 98%; padding: 1px 6px; margin: 0px; border-width: 2px; }
div#date_nav input { font-size: 1.05em; font-weight: bold;
    text-align: center; cursor: default;
    color: buttontext; background-color: buttonface;
    box-sizing: border-box;
    border-style: ridge; border-color: buttonface; border-image: initial; }

td.smr_topic_menu { padding-bottom: 5px; }
td.smr_topic_menu > a {
    padding: 1px 1px 2px 15px;
    display: block; float: left; width: 10em;
    color: grey; border-top: dashed 1px grey; border-right: dashed 1px grey;
    border-top-right-radius: 30px; }

div#smart_links_head span.symbol { display: block; font-size: larger; }

/*
 * Input Forms
 *
 * */
fieldset { border: 1px solid; border-radius: 15px; }
fieldset legend { color: #A8914C; font-weight: bold;
    background-color: #1d1c1c; border-radius: 15px;
    padding: 5px; }
fieldset legend span { display: block; font-size: smaller;  }
fieldset h3, fieldset h4 { margin-top: 5px; margin-bottom: 2px; }

form.filter_form input { }
form.filter_form div > h5 { margin: 2px; font-color: white; }

form input,textarea, select { background-color: #d5d5d5; border-radius: 5px; }
form input[type="submit"], select { padding: 2px 3px; }

// BUGFIX: make firefox 40 show form elements the way I said
form input,
form select,
form textarea { -moz-appearance: none !important; }

/* Filter Form made by Controllers for filtering Items on the page
 * - there can be only one per page
 * - each controller is free to style its contents
 * - it should be positioned at the same place throughout the app
 * */
form#controller_filter { position: fixed; top: 0px; right: 0px; width: 40%;
    max-height: 10em; overflow: hidden;
    padding-left: 5px; padding-top: 10px;
    background-color: #676767; opacity: 0.9; z-index: 20;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}
form#controller_filter > p,
//form#controller_filter > div { overflow: auto; margin-right: 14em; }

form#controller_filter > div { height: 10em; overflow: auto; margin-right: 15em; }
form#controller_filter > div > table { width: 100%; }
form#controller_filter > div > table th { background-color: #515151; }

form#controller_filter > p select { display: block; }

/*
 * Table Generics
 *
 * */
table { margin-left:auto; margin-right:auto; }
table tr.separaterows > td { border-bottom: dashed 1px grey; }
table tr.separaterows_rowspan > td:first-child { border-bottom: dashed 1px grey; }
table tr.separaterows_rowspan + tr > td { border-bottom: dashed 1px grey; }

table thead th { color: #A8914C; padding: 0 1em 0 1em; }
table thead th a { color: #A8914C; border-bottom: 1px dotted; }
table thead th span { display: block; font-size: smaller; }

table tbody td:first-child span a,
table tbody td:first-child a { font-size: smaller; }

/*
 * Heading Generics
 *
 * */
h1, h2, h3, h4 { color: #A8914C; }
h1 > em, h2 > em, h3 > em, h4 > em {
    font-size: smaller; display: block; margin: 0 0 1em 0.5em; font-weight: normal;
}

/*
 * Notifications Area
 *
 * */
ul#smr_notifications {
    position: fixed; bottom:0; right:0; width: 50%; z-index: 80;
    background-color: white; opacity: 0.9;
    border-top-left-radius: 30px;
    font-size: smaller; font-weight: bold;
    margin: 0;
    max-height: 20em; overflow: auto;
    padding-top: 10px; padding-bottom: 10px; padding-right: 15px; }
ul#smr_notifications li { margin-right: 2em; }
ul#smr_notifications li.notice { color: orange; }
ul#smr_notifications li.alert { color: red; }

/*
 * Pagination
 *
 * */
div.pagination { overflow: hidden; text-align: center; float: right; width: 66%; }
div.pagination li {	float: left; padding: 0 0 0.5em 0.5em; list-style-type: none; }

/*
 * Area filled by Controllers (whichever was called)
 *
 * */
div#controller_area {
    color: white;
    margin-top: 50px;
    padding: 1px 2% 0 2%;
    overflow: visible;
    background-color: black; opacity: 0.8; z-index: 1;
    border-radius: 30px;
    padding-bottom: 20px;
}

/*
 * Topic related color indicators
 *
 * */
.quote_today,.quote_within20min { color: darkgreen; }
.quote_withinweek,.quote_withinhour { color: darkorange; }
.quote_outdated { color: darkred; }
.quote_empty { color: #1d1c1c; }

.profit { color: green; }
.loss { color: red; }
.even { color: darkorange; }
.unvalued { color: grey; }

.comment_text { display:block; font-style: italic;
    padding: 1px 3px; white-space:pre-wrap; text-align: justify;
    background-color: #1d1c1c; border-radius: 5px; }

.pattern_match { color: black; background-color: yellow; display: inline;
    font-style: inherit; font-weight: inherit; font-size: inherit;
    text-decoration: inherit;
    padding: 0; margin: 0; }

/*
 * Layout for Overview Boxes
 * - there can be only one such layout per page
 * - for clarity, each sub-box should have a class or id named 'overview_XXX'
 *   to apply specific styles
 * - see controller .css files
 * */

div#overview { position: relative; width:100%; float:left; margin-bottom: 10px; }
div#overview > div { position: relative; left:31%; clear:left; float:left; }
div#overview > div > div { position: relative; right:25%; }
div#overview div.overview_container { position:relative; float:left; height: 19em; width: 18em;
    background-color: #1d1c1c; border-radius: 15px; padding: 5px; margin: 5px; }
div#overview div.overview_container table { width: 100%; }

/*
 * Summary Counter Boxes
 * - multiple boxes, each presenting one counter (li element)
 * - such as asset totals, etc ...
 * */
div.overview_counters {
    position: relative; width:100%; overflow: hidden; float:left; }
div.overview_counters ul {
    position: relative; left:50%; clear:left; float:left;
    list-style:none; margin:0; padding:0; text-align:center; }
div.overview_counters ul li {
    position: relative; right:50%;
    border-radius: 30px;
    display:block; float:left; list-style:none; margin:0;
    padding: 5px 10px 5px 10px; margin-right: 10px; }
div.overview_counters ul li { background-color: #1d1c1c; color: white; margin: 10px; }
div.overview_counters ul li.profit { background-color: green; opacity: 0.6; color: white; }
div.overview_counters ul li.loss { background-color: red; opacity: 0.6; color: white; }
div.overview_counters ul li span { font-size: 1.5em; font-style: bold; }
